import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Run this example from Report Designer install directory
//Report manager must be running
public class ReportBurstingAll {

	public static void main(String[] args) {
		ReportBurstingAll doReportBursting = new ReportBurstingAll();
		try {
			doReportBursting.reportBursting();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void reportBursting() throws Exception {
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("ReportBursting_All", ScheduleObject.REPORTOBJ);
		sObj.setFileLocation("InventoryInformation.rpt");
		String exportLoc = sObj.pickDefaultExportLocation();
		sObj.setReportType(IExportConstants.DHTML);
		sObj.setTaskOption(ScheduleObject.ONE_TIME);
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 5);
		sObj.setStartDate(calendar.getTimeInMillis());
		sObj.setSendEmail(true);
		sObj.setFromAddress("user1@quadbase.com");
		sObj.setSubject("Test report bursting");
		sObj.setBodyText("You should find a report of one group");
		sObj.setEmailType(ScheduleObject.ASATTACHMENT);
		// export every group as a single report and email using report column values
		sObj.setBurstReport(ScheduleObject.ALLBURSTING);
		// get email address from 16th column in template
		sObj.setEmailColumnIndex(16);

		ScheduleModifier.addScheduleTask(sObj);
	}

}
